IOSS 2.0

Public Member Functions | List of all members
ParaViewCatalystIossAdapter Class Reference

`#include <ParaViewCatalystIossAdapter.h>`

## Public Member Functions
| ParaViewCatalystIossAdapter ()
virtual | ~ParaViewCatalystIossAdapter ()
virtual void | DeletePipeline (const char *results_output_filename)
virtual void | CleanupCatalyst ()
virtual void | CreateNewPipeline (const char *catalyst_python_filename, const char *catalyst_sierra_block_json, const char *catalyst_sierra_separator_character, const char *catalyst_sierra_input_deck_name, int UnderscoreVectors, int ApplyDisplacements, const char *restart_tag, int enable_logging, int debug_level, const char *results_output_filename, const char *catalyst_output_directory, std::vector< std::string > &catalyst_sierra_data)
virtual void | PerformCoProcessing (const char *results_output_filename, std::vector< int > &error_and_warning_codes, std::vector< std::string > &error_and_warning_messages)
virtual void | SetTimeData (double currentTime, int timeStep, const char *results_output_filename)
virtual void | InitializeGlobalPoints (int num_points, int dimension, const double *data, const char *results_output_filename)
virtual void | InitializeElementBlocks (const std::vector< int > &element_block_id_list, const char *results_output_filename)
virtual void | ReleaseMemory (const char *results_output_filename)
virtual void | CreateGlobalVariable (std::vector< std::string > &component_names, const double *data, const char *results_output_filename)
virtual void | CreateGlobalVariable (std::vector< std::string > &component_names, const int *data, const char *results_output_filename)
virtual void | CreateElementBlock (const char *elem_block_name, int elem_block_id, const std::string &elem_type, int nodes_per_elem, int num_elem, const int64_t *global_elem_ids, int *connectivity, const char *results_output_filename)
virtual void | CreateElementBlock (const char *elem_block_name, int elem_block_id, const std::string &elem_type, int nodes_per_elem, int num_elem, const int64_t *global_elem_ids, int64_t *connectivity, const char *results_output_filename)
virtual void | CreateNodeSet (const char *node_set_name, int node_set_id, int num_ids, const int *data, const char *results_output_filename)
virtual void | CreateNodeSet (const char *node_set_name, int node_set_id, int num_ids, const int64_t *data, const char *results_output_filename)
void | CreateSideSet (const char *ss_owner_name, int side_set_id, int num_ids, const int *element_ids, const int *face_ids, const char *results_output_filename)
void | CreateSideSet (const char *ss_owner_name, int side_set_id, int num_ids, const int64_t *element_ids, const int64_t *face_ids, const char *results_output_filename)
virtual void | CreateElementVariable (std::vector< std::string > &component_names, int elem_block_id, const double *data, const char *results_output_filename)
virtual void | CreateElementVariable (std::vector< std::string > &component_names, int elem_block_id, const int *data, const char *results_output_filename)
virtual void | CreateElementVariable (std::vector< std::string > &component_names, int elem_block_id, const int64_t *data, const char *results_output_filename)
virtual void | CreateNodalVariable (std::vector< std::string > &component_names, const double *data, const char *results_output_filename)
virtual void | CreateNodalVariable (std::vector< std::string > &component_names, const int *data, const char *results_output_filename)
virtual void | CreateNodalVariable (std::vector< std::string > &component_names, const int64_t *data, const char *results_output_filename)
virtual void | logMemoryUsageAndTakeTimerReading (const char *results_output_filename)
int | parseFile (const std::string &filepath, CatalystParserInterface::parse_info &pinfo)
int | parseString (const std::string &s, CatalystParserInterface::parse_info &pinfo)
virtual std::string | getName () const
Public Member Functions inherited from ParaViewCatalystIossAdapterBase
| ParaViewCatalystIossAdapterBase ()
virtual | ~ParaViewCatalystIossAdapterBase ()

## Constructor & Destructor Documentation

## ◆ ParaViewCatalystIossAdapter()

ParaViewCatalystIossAdapter::ParaViewCatalystIossAdapter | ( |  | ) |
| inline

## ◆ ~ParaViewCatalystIossAdapter()

virtual ParaViewCatalystIossAdapter::~ParaViewCatalystIossAdapter | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ CleanupCatalyst()

virtual void ParaViewCatalystIossAdapter::CleanupCatalyst | ( |  | ) |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateElementBlock() [1/2]

virtual void ParaViewCatalystIossAdapter::CreateElementBlock | ( | const char * | elem_block_name,
|  | int | elem_block_id,
|  | const std::string & | elem_type,
|  | int | nodes_per_elem,
|  | int | num_elem,
|  | const int64_t * | global_elem_ids,
|  | int * | connectivity,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateElementBlock() [2/2]

virtual void ParaViewCatalystIossAdapter::CreateElementBlock | ( | const char * | elem_block_name,
|  | int | elem_block_id,
|  | const std::string & | elem_type,
|  | int | nodes_per_elem,
|  | int | num_elem,
|  | const int64_t * | global_elem_ids,
|  | int64_t * | connectivity,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateElementVariable() [1/3]

virtual void ParaViewCatalystIossAdapter::CreateElementVariable | ( | std::vector< std::string > & | component_names,
|  | int | elem_block_id,
|  | const double * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateElementVariable() [2/3]

virtual void ParaViewCatalystIossAdapter::CreateElementVariable | ( | std::vector< std::string > & | component_names,
|  | int | elem_block_id,
|  | const int * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateElementVariable() [3/3]

virtual void ParaViewCatalystIossAdapter::CreateElementVariable | ( | std::vector< std::string > & | component_names,
|  | int | elem_block_id,
|  | const int64_t * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateGlobalVariable() [1/2]

virtual void ParaViewCatalystIossAdapter::CreateGlobalVariable | ( | std::vector< std::string > & | component_names,
|  | const double * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateGlobalVariable() [2/2]

virtual void ParaViewCatalystIossAdapter::CreateGlobalVariable | ( | std::vector< std::string > & | component_names,
|  | const int * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateNewPipeline()

virtual void ParaViewCatalystIossAdapter::CreateNewPipeline | ( | const char * | catalyst_python_filename,
|  | const char * | catalyst_sierra_block_json,
|  | const char * | catalyst_sierra_separator_character,
|  | const char * | catalyst_sierra_input_deck_name,
|  | int | UnderscoreVectors,
|  | int | ApplyDisplacements,
|  | const char * | restart_tag,
|  | int | enable_logging,
|  | int | debug_level,
|  | const char * | results_output_filename,
|  | const char * | catalyst_output_directory,
|  | std::vector< std::string > & | catalyst_sierra_data
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateNodalVariable() [1/3]

virtual void ParaViewCatalystIossAdapter::CreateNodalVariable | ( | std::vector< std::string > & | component_names,
|  | const double * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateNodalVariable() [2/3]

virtual void ParaViewCatalystIossAdapter::CreateNodalVariable | ( | std::vector< std::string > & | component_names,
|  | const int * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateNodalVariable() [3/3]

virtual void ParaViewCatalystIossAdapter::CreateNodalVariable | ( | std::vector< std::string > & | component_names,
|  | const int64_t * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateNodeSet() [1/2]

virtual void ParaViewCatalystIossAdapter::CreateNodeSet | ( | const char * | node_set_name,
|  | int | node_set_id,
|  | int | num_ids,
|  | const int * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateNodeSet() [2/2]

virtual void ParaViewCatalystIossAdapter::CreateNodeSet | ( | const char * | node_set_name,
|  | int | node_set_id,
|  | int | num_ids,
|  | const int64_t * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateSideSet() [1/2]

void ParaViewCatalystIossAdapter::CreateSideSet | ( | const char * | ss_owner_name,
|  | int | side_set_id,
|  | int | num_ids,
|  | const int * | element_ids,
|  | const int * | face_ids,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ CreateSideSet() [2/2]

void ParaViewCatalystIossAdapter::CreateSideSet | ( | const char * | ss_owner_name,
|  | int | side_set_id,
|  | int | num_ids,
|  | const int64_t * | element_ids,
|  | const int64_t * | face_ids,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ DeletePipeline()

virtual void ParaViewCatalystIossAdapter::DeletePipeline | ( | const char * | results_output_filename | ) |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ getName()

virtual std::string ParaViewCatalystIossAdapter::getName | ( |  | ) | const
| inline virtual

Reimplemented from ParaViewCatalystIossAdapterBase.

## ◆ InitializeElementBlocks()

virtual void ParaViewCatalystIossAdapter::InitializeElementBlocks | ( | const std::vector< int > & | element_block_id_list,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ InitializeGlobalPoints()

virtual void ParaViewCatalystIossAdapter::InitializeGlobalPoints | ( | int | num_points,
|  | int | dimension,
|  | const double * | data,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ logMemoryUsageAndTakeTimerReading()

virtual void ParaViewCatalystIossAdapter::logMemoryUsageAndTakeTimerReading | ( | const char * | results_output_filename | ) |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ parseFile()

int ParaViewCatalystIossAdapter::parseFile | ( | const std::string & | filepath,
|  | CatalystParserInterface::parse_info & | pinfo
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ parseString()

int ParaViewCatalystIossAdapter::parseString | ( | const std::string & | s,
|  | CatalystParserInterface::parse_info & | pinfo
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ PerformCoProcessing()

virtual void ParaViewCatalystIossAdapter::PerformCoProcessing | ( | const char * | results_output_filename,
|  | std::vector< int > & | error_and_warning_codes,
|  | std::vector< std::string > & | error_and_warning_messages
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ ReleaseMemory()

virtual void ParaViewCatalystIossAdapter::ReleaseMemory | ( | const char * | results_output_filename | ) |
| virtual

Implements ParaViewCatalystIossAdapterBase.

## ◆ SetTimeData()

virtual void ParaViewCatalystIossAdapter::SetTimeData | ( | double | currentTime,
|  | int | timeStep,
|  | const char * | results_output_filename
| ) |  |
| virtual

Implements ParaViewCatalystIossAdapterBase.

The documentation for this class was generated from the following file:

- src/visualization/ParaViewCatalystIossAdapter/include/ParaViewCatalystIossAdapter.h